View Issue Details

IDProjectCategoryView StatusLast Update
0005528SUMoRefactoringpublic2019-06-04 22:50
Reporterwolf Assigned ToKyle_Katarn  
PrioritynormalSeverityminorReproducibilityrandom
Status acknowledgedResolutionopen 
PlatformWindowsOSMicrosoft WindowsOS Version10
Product Version5.9.2 
Target VersionLong term 
Summary0005528: Render Microsoft product reporting more reliable with improved distinction between beta and release, and scanning vs reporting
DescriptionI configured SUMo to do deep scan, include Microsoft products and ignore beta version reporting. Nevertheless I get beta versions reported as there seem to be SUMo users running it on test devices with such early beta versions as already reported in related issues with expected release of such product updates a year later while it seems that only few users have the Windows operating system and SUMo installed.

As SUMo implementation doesn't handle Microsoft product reporting not yet correctly, its reports are very unreliable. As a work-around, I've put many undue notifications into SUMo ignore list. A look into the ignore list doesn't reveal though what the current state is of Microsoft release nor SUMo update on that feature.

Windows 10 1903 has been released a few days ago and partially withdrawn or hold back for certain configurations and roll-out channels while the related issues have been reported weeks or months before. I further don't see that SUMo reports any longer the early beta versions of Windows 10 20H1 as released while still doing so for Windows 10 1910 and less frequently.

One reason for this unreliability is that SUMo does not yet distinguish clearly enough between reporting and scanning. For reliability purposes, the fundamental SUMo design decision to rely on SUMo clients for determining current version existence requires that the installed versions are not excluded of detection regardless of ignorance or reporting options configured in SUMo. Only those products in the exclude folder list shall be excluded of detection. Different implementation is a bug and renders SUMo less reliable as needed for current determination. It is ok to filter out those products configured to exclude of SUMo reporting when performing its check action, not its scan action! It is further necessary to lookup at client side, if the device or user participates in any of Microsofts various tester groups for alpha or beta testing so that Microsoft product versions found on those devices may only lead to updates of beta version determination not for current version determination. For all other devices, the difference between beta testers and users with stable releases becomes large enough that undue notifications become much more seldom. Please fix.

This problem exists on server and client side. With a fix on client side with better distinction between scanning and reporting the situation shall improve on client as well as server side. For devices not interested in Microsoft product reporting, scanning of Microsoft products may be performed asynchronously as reply is not needed on client side and hence reducing impact of fixing this error on SUMo scan performance.
Steps To ReproduceEnable Microsoft product reporting in SUMo settings,
perform a SUMo scan,
followed by SUMo check,
sort the resulting report by company name,
and analyze the section with company name Microsoft or its subsidiaries not yet consolidated in SUMo like SysInternals
Additional InformationIn the current implementation, SUMo has a switch to enable Microsoft product reporting. SUMo warns not to use it due to operating system dependancy. I guess issue https://www.kcsoftwares.com/bugs/view.php?id=1783 will introduce options to better care for this operating system dependancy but which will not be implemented before next major version. Microsoft Office is included with that switch. Most of it is obviously not part of Windows. But there exist many other tools of Microsoft which extent Windows like Robocopy of Windows Server tools, some Microsoft Research tools, Sysinternals tools which was bought and integrated by Microsoft more than a decade ago. Onto which extent do you consider them part of Windows or separate products?

I ignored that warning of SUMo and have it enabled on all my devices. This blows up the resulting report and hence also analysis of it as long as the above mentioned issue isn't implemented and beta detection not improved. I wish many more SUMo users are able to cope with and willing to enable it in order to improve its quality. Currently very few active users have it enabled as SUMo server indicates.

I don't have beta software reporting enabled in SUMo as I'm currently not interested for any of my devices. Nevertheless I detect that many beta software gets reported as released although not released. Typical example is Windows 10 1903 which has been released for some distribution channels since a few days ago. SUMo has reported it as existing release for more than TWO months already and already reports Windows 10 20H1 or 2003 as released for some components of Windows since almost the first week of May 2019 although it will be released in about a years time. So I conclude that SUMo does not report about more recent released update or version availability but instead of existence without knowledge of release state nor availability. You often have to become member of some testing user to get such early access. Microsoft has different rings resp. groups or programs of such testing users. Also Mozilla alpha and beta testers for their Firefox tool. Similarly is Debian for Debian Linux. So different software publishers have different release processes designed and implemented resulting in not yet released versions leaving the publisher organization within the context of such release preparation programs. And it seems that depending on software tool, SUMo detection of released state of detected tool isn't reliable enough as too many SUMo users are part of such testing groups without SUMo detecting it.
TagsNo tags attached.

Relationships

related to 0003951 acknowledgedKyle_Katarn Windows Updates 
related to 0005533 acknowledged Product name consolidation of Microsoft products 

Activities

There are no notes attached to this issue.

Issue History

Date Modified Username Field Change
2019-06-02 22:13 wolf New Issue
2019-06-02 22:13 wolf Issue generated from: 0003951
2019-06-02 22:13 wolf Relationship added related to 0003951
2019-06-03 21:26 Kyle_Katarn Assigned To => Kyle_Katarn
2019-06-03 21:26 Kyle_Katarn Status new => acknowledged
2019-06-03 21:26 Kyle_Katarn Target Version => Long term
2019-06-04 22:50 wolf Issue cloned: 0005533
2019-06-04 22:50 wolf Relationship added related to 0005533